Bug 591926 - Review Request: erlang-mochiweb - An Erlang library for building lightweight HTTP servers
Review Request: erlang-mochiweb - An Erlang library for building lightweight ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 581284 648023 652546 652598 652629 652665 841766
  Show dependency treegraph
 
Reported: 2010-05-13 09:50 EDT by Peter Lemenkov
Modified: 2012-07-20 04:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: erlang-mochiweb-1.3-0.3.20100507svn159.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-14 13:16:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dcantrell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2010-05-13 09:50:55 EDT
Spec URL: http://peter.fedorapeople.org/erlang-mochiweb.spec
SRPM URL: http://peter.fedorapeople.org/erlang-mochiweb-0-0.1.svn154.fc12.src.rpm
Description: An Erlang library for building lightweight HTTP servers.

This library is bundled with CouchDB.
Comment 1 David Cantrell 2010-05-26 09:57:54 EDT
[+] PASSED   [-] FAILED   [N/A] Not Applicable

+ MUST: rpmlint must be run on every package. The output should be posted in the review.

dcantrel@mitre SRPMS$ rpmlint erlang-mochiweb-0-0.1.svn154.fc13.src.rpm
erlang-mochiweb.src: W: invalid-url Source0: erlang-mochiweb-0.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

(This can be ignored as the source is pulled from svn, the comments explain how to do that.)

- MUST: The package must be named according to the Package Naming Guidelines.

Package version and release should use the %{alphatag} format as documented here:
https://fedoraproject.org/wiki/Packaging/NamingGuidelines

+ MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

+ MUST: The package must meet the Packaging Guidelines.

+ MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.

+ MUST: The License field in the package spec file must match the actual license.

+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

+ MUST: The spec file must be written in American English.

+ MUST: The spec file for the package MUST be legible.

+ MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

+ MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

$ koji build --scratch dist-f13 erlang-mochiweb-0-0.1.svn154.fc13.src.rpm 
Uploading srpm: erlang-mochiweb-0-0.1.svn154.fc13.src.rpm
[====================================] 100% 00:00:03  80.87 KiB  22.00 KiB/sec
Created task: 2210525
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2210525
None
Watching tasks (this may be safely interrupted)...
2210525 build (dist-f13, erlang-mochiweb-0-0.1.svn154.fc13.src.rpm): open (xb-01.phx2.fedoraproject.org)
  2210528 buildArch (erlang-mochiweb-0-0.1.svn154.fc13.src.rpm, i686): free
  2210527 buildArch (erlang-mochiweb-0-0.1.svn154.fc13.src.rpm, x86_64): open (x86-07.phx2.fedoraproject.org)
  2210528 buildArch (erlang-mochiweb-0-0.1.svn154.fc13.src.rpm, i686): free -> open (x86-03.phx2.fedoraproject.org)
  2210527 buildArch (erlang-mochiweb-0-0.1.svn154.fc13.src.rpm, x86_64): open (x86-07.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  2210528 buildArch (erlang-mochiweb-0-0.1.svn154.fc13.src.rpm, i686): open (x86-03.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
2210525 build (dist-f13, erlang-mochiweb-0-0.1.svn154.fc13.src.rpm): open (xb-01.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

2210525 build (dist-f13, erlang-mochiweb-0-0.1.svn154.fc13.src.rpm) completed successfully

N/A MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.

+ MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

N/A MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

N/A MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

+ MUST: Packages must NOT bundle copies of system libraries.

N/A MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

+ MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

+ MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

+ MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

+ MUST: Each package must consistently use macros.

+ MUST: The package must contain code, or permissable content.

N/A MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

N/A MUST: Header files must be in a -devel package.

N/A MUST: Static libraries must be in a -static package.

N/A MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

N/A MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

N/A MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

N/A MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

+ MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

+ MUST: All filenames in rpm packages must be valid UTF-8.
Comment 2 Peter Lemenkov 2010-05-28 05:04:16 EDT
(In reply to comment #1)

> - MUST: The package must be named according to the Package Naming Guidelines.
> 
> Package version and release should use the %{alphatag} format as documented
> here:
> https://fedoraproject.org/wiki/Packaging/NamingGuidelines

Done:

http://peter.fedorapeople.org/erlang-mochiweb.spec
http://peter.fedorapeople.org/erlang-mochiweb-1.3-0.1.20100507svn159.fc12.src.rpm
Comment 3 David Cantrell 2010-05-30 20:11:02 EDT
Looks good except for the version referenced in the %changelog should be:

1.3-0.1.20100507svn159

That will fix up:

erlang-mochiweb.x86_64: W: incoherent-version-in-changelog 0-0.1.svn154 ['1.3-0.1.20100507svn159.fc13', '1.3-0.1.20100507svn159']

Ready to approve after that.
Comment 4 Peter Lemenkov 2010-05-31 07:46:06 EDT
Oh, I forgot to add %changelog entry - sorry for that. Here are the updated spec and src.rpm:

http://peter.fedorapeople.org/erlang-mochiweb.spec
http://peter.fedorapeople.org/erlang-mochiweb-1.3-0.1.20100507svn159.fc12.src.rpm
Comment 5 David Cantrell 2010-05-31 17:37:30 EDT
$ rpmlint ../SRPMS/erlang-mochiweb-1.3-0.1.20100507svn159.fc13.src.rpm 
erlang-mochiweb.src: W: invalid-url Source0: erlang-mochiweb-1.3.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ../RPMS/x86_64/erlang-mochiweb-1.3-0.1.20100507svn159.fc13.x86_64.rpm 
erlang-mochiweb.x86_64: E: explicit-lib-dependency erlang-stdlib
erlang-mochiweb.x86_64: E: no-binary
erlang-mochiweb.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

All of these have been previously discussed as acceptable for this package.  Approved.
Comment 6 Peter Lemenkov 2010-06-01 00:53:52 EDT
Thanks!

New Package CVS Request
=======================
Package Name: erlang-mochiweb
Short Description: An Erlang library for building lightweight HTTP servers
Owners: peter
Branches: F-12 F-13 EL-5 EL-6
InitialCC:
Comment 7 Kevin Fenzi 2010-06-03 16:15:14 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-06-07 06:57:50 EDT
erlang-mochiweb-1.3-0.2.20100507svn159.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/erlang-mochiweb-1.3-0.2.20100507svn159.fc13
Comment 9 Fedora Update System 2010-06-07 06:57:55 EDT
erlang-mochiweb-1.3-0.2.20100507svn159.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/erlang-mochiweb-1.3-0.2.20100507svn159.fc12
Comment 10 Fedora Update System 2010-06-07 18:27:19 EDT
erlang-mochiweb-1.3-0.2.20100507svn159.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-mochiweb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-mochiweb-1.3-0.2.20100507svn159.fc12
Comment 11 Fedora Update System 2010-06-07 18:28:50 EDT
erlang-mochiweb-1.3-0.2.20100507svn159.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-mochiweb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-mochiweb-1.3-0.2.20100507svn159.fc13
Comment 12 Fedora Update System 2010-06-08 07:24:51 EDT
erlang-mochiweb-1.3-0.3.20100507svn159.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/erlang-mochiweb-1.3-0.3.20100507svn159.el5
Comment 13 Fedora Update System 2010-06-09 11:47:55 EDT
erlang-mochiweb-1.3-0.3.20100507svn159.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-mochiweb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-mochiweb-1.3-0.3.20100507svn159.el5
Comment 14 Fedora Update System 2010-06-14 13:16:12 EDT
erlang-mochiweb-1.3-0.2.20100507svn159.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-06-14 13:16:23 EDT
erlang-mochiweb-1.3-0.2.20100507svn159.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-06-23 18:12:17 EDT
erlang-mochiweb-1.3-0.3.20100507svn159.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.